package de.cscherr.mcpht.mixin.client;

import de.cscherr.mcpht.MCPHTClient;
import de.cscherr.mcpht.XRay;
import net.minecraft.util.Identifier;
import org.spongepowered.asm.mixin.Mixin;

import net.minecraft.block.Block;
import net.minecraft.block.BlockState;
import net.minecraft.util.math.BlockPos;
import net.minecraft.util.math.Direction;
import net.minecraft.world.BlockView;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin(Block.class)
public abstract class BlockMixin {
    @Inject(method = "shouldDrawSide", at = @At("RETURN"), cancellable = true)
    private static void shouldDrawSide(BlockState state,
                                       BlockView world,
                                       BlockPos pos,
                                       Direction side,
                                       BlockPos otherPos,
                                       CallbackInfoReturnable<Boolean> cir
    ) {
        if (MCPHTClient.XRAY.enable && MCPHTClient.CONFIG.xRay.enable) {
            cir.setReturnValue(MCPHTClient.XRAY.showRenderBlock(state));
        }
    }
}
